imports :
    - { resource : 'local/' }
    - { resource : 'packages/messenger.yaml' }
    - { resource : 'services.yaml' }
    - { resource : 'packages/lexik_jwt_authentication.yaml' }
    - { resource : 'packages/nelmio_cors.yaml' }
    - { resource : 'packages/elementProcessManagerSettings.yaml' }
    - { resource : 'packages/cache.yaml' }
    - { resource : 'packages/mercure.yaml' }

doctrine_migrations :
    migrations_paths :
        'App\Migrations' : '%kernel.project_dir%/src/Migrations'

pimcore:
    models:
        class_overrides:
            'Pimcore\Model\DataObject\Product': 'App\Model\DataObject\Product'
    email :
        sender :
            name : ''
            email : donotreply@gildan.com
        return :
            name : ''
            email : ''
    bundles :
        search_paths :
            - bundles/AssetUploadBundle

    security :
        password_hasher_factories :
            DamReactPortal\ApiBundle\Model\DataObject\User : dam.security.password_hasher_factory
    gotenberg :
        base_url : 'http://gotenberg:3000'

    assets :
        document :
            thumbnails :
                enabled : true
            process_page_count : true
            process_text : true
            scan_pdf : false
        image :
            max_pixels : 2147483647
            thumbnails :
                clip_auto_support : false
    # IMPORTANT Notice!
    # Following there are only some examples listed, for a full list of possible options, please run the following command:
    # ./bin/console debug:config pimcore
    # you can also filter them by path, eg.
    # ./bin/console debug:config pimcore assets
    # or even more specific:
    # ./bin/console debug:config pimcore assets.image
    config_location :
        system_settings :
            write_target :
                type : 'settings-store'
            read_target :
                type : 'settings-store'
        image_thumbnails :
            write_target :
                type : 'settings-store'
                options :
                    directory : '/var/www/html/var/config/image-thumbnails'
        video_thumbnails :
            write_target :
                type : 'settings-store'
                options :
                    directory : '/var/www/html/var/config/video-thumbnails'



pimcore_data_hub :
    config_location :
        data_hub :
            write_target :
                type : 'settings-store'
                options :
                    directory : '/var/www/html/var/config/data_hub'
pimcore_data_importer :
    messenger_queue_processing :
        activated : true

pimcore_admin :
    config_location :
        admin_system_settings :
            write_target :
                type : 'settings-store'
            read_target :
                type : 'settings-store'
    notifications :
        enabled : true
        check_new_notification :
            enabled : true
            interval : 30
    admin_csp_header :
        additional_urls :
            connect-src :
                - 'https://liveupdate.pimcore.org'
                - 'https://nominatim.openstreetmap.org'
                - 'https://gildan-dev.pimcoreclient.com'
                - 'http://gildan-dev.pimcoreclient.com'
pimcore_custom_reports :
    config_location :
        custom_reports :
            write_target :
                type : 'settings-store'
    #### TRANSLATIONS
    #    translations:
    #        case_insensitive: true

    #### FEATURE FLAGS
    #    flags:
    #        zend_date: true

    #### CLASS OVERRIDES EXAMPLES
    #    models:
    #        class_overrides:
    #            'Pimcore\Model\DataObject\News': 'App\Model\DataObject\News'
    #            'Pimcore\Model\DataObject\News\Listing': 'App\Model\DataObject\News\Listing'
    #            'Pimcore\Model\DataObject\Folder': 'App\Model\DataObject\Folder'
    #            'Pimcore\Model\Asset\Folder': 'App\Model\Asset\Folder'
    #            'Pimcore\Model\Asset\Image': 'App\Model\Asset\Image'
    #            'Pimcore\Model\Document\Page': 'App\Model\Document\Page'
    #            'Pimcore\Model\Document\Link': 'App\Model\Document\Link'
    #            'Pimcore\Model\Document\Listing': 'App\Model\Document\Listing'


    #### CUSTOM DOCUMENT EDITABLES
    #    documents:
    #        allow_trailing_slash: 'yes'
    #        generate_preview: false
    #        tags:
    #            map:
    #                markdown: \App\Model\Document\Tag\Markdown


    #### CUSTOM OBJECT DATA TYPES
    #    objects:
    #        class_definitions:
    #            data:
    #                map:
    #                  myDataType: \App\Model\DataObject\Data\MyDataType


    #### ASSET CUSTOM SETTINGS
    #    assets:
    #        icc_rgb_profile: ''
    #        icc_cmyk_profile: ''
    #        versions:
    #            use_hardlinks: false
    #        image:
    #            low_quality_image_preview:
    #                enabled: false
    #                generator: imagick
    #            thumbnails:
    #                webp_auto_support: false



    #### TRANSLATIONS
    #    translations:
    #        case_insensitive: true

    #### FEATURE FLAGS
    #    flags:
    #        zend_date: true

    #### CLASS OVERRIDES EXAMPLES
    #    models:
    #        class_overrides:
    #            'Pimcore\Model\DataObject\News': 'App\Model\DataObject\News'
    #            'Pimcore\Model\DataObject\News\Listing': 'App\Model\DataObject\News\Listing'
    #            'Pimcore\Model\DataObject\Folder': 'App\Model\DataObject\Folder'
    #            'Pimcore\Model\Asset\Folder': 'App\Model\Asset\Folder'
    #            'Pimcore\Model\Asset\Image': 'App\Model\Asset\Image'
    #            'Pimcore\Model\Document\Page': 'App\Model\Document\Page'
    #            'Pimcore\Model\Document\Link': 'App\Model\Document\Link'
    #            'Pimcore\Model\Document\Listing': 'App\Model\Document\Listing'


    #### CUSTOM DOCUMENT EDITABLES
    #    documents:
    #        allow_trailing_slash: 'yes'
    #        generate_preview: false
    #        tags:
    #            map:
    #                markdown: \App\Model\Document\Tag\Markdown


    #### CUSTOM OBJECT DATA TYPES
    #    objects:
    #        class_definitions:
    #            data:
    #                map:
    #                  myDataType: \App\Model\DataObject\Data\MyDataType


    #### ASSET CUSTOM SETTINGS


#### SYSTEM SETTINGS

#    general:
#        timezone: Europe/Berlin
#        path_variable: ''
#        instance_identifier: ''
#    full_page_cache:
#        enabled: false
#        lifetime: null
#        exclude_cookie: ''
#        exclude_patterns: ''
#    httpclient:
#        adapter: Socket # use 'Proxy' for custom proxy configuration
#        proxy_host: ''
#        proxy_port: ''
#        proxy_user: ''
#        proxy_pass: ''
#    email:
#        sender:
#            name: 'Pimcore Demo'
#            email: demo@pimcore.com
#        return:
#            name: ''
#            email: ''

#    applicationlog:
#        mail_notification:
#            send_log_summary: false
#            filter_priority: null
#            mail_receiver: ''
#        archive_treshold: '30'
#        archive_alternative_database: ''

#### SYMFONY OVERRIDES
framework :
    secret : '%env(APP_SECRET)%'
    csrf_protection :
        enabled : true
    http_method_override : true
    trusted_proxies : '127.0.0.1'  # Adjust as needed
    session :
        handler_id : ~
        cookie_secure : auto  # Set to true if using HTTPS
        cookie_samesite : lax
        cookie_lifetime : 86400  # 1 day in seconds (24 hours)
        cookie_path : /
        cookie_httponly : true
        gc_maxlifetime : 3600  # 1 hour in seconds (3600 seconds)
    router :
        strict_requirements : null
    # CORS configuration
    #    cors :
    #        allow_origin : [ '*' ]
    #        allow_methods : [ 'POST', 'GET', 'OPTIONS', 'DELETE', 'PUT' ]
    #        allow_headers : [ 'Content-Type', 'Authorization' ]
    #        max_age : 3600
    # Mailer settings
    #    mailer:
    #        dsn: '%env(MAILER_DSN)%'
    # Logger configuration
    #    logger:
    #        handlers:
    #            main:
    #                type: stream
    #                path: '%kernel.logs_dir%/%kernel.environment%.log'
    #                level: debug
    mailer :
        transports :
            main : smtp://apikey:%env(SENDGRID_API_KEY)%@smtp.sendgrid.net
    #            pimcore_newsletter: smtp://user:pass@smtp.example.com:port

    # pimcore_newsletter:
    #     default_url_prefix: 'https://my-host.com' # default prefix for your static assets
    #     use_specific: false # set true to use the following options for newsletter delivery
    #     sender:
    #         name: ''
    #         email: ''
    #     return:
    #         name: ''
    #         email: ''
